package com.jsevy.jsvg;




public class SVGAnimate extends SVGObject
{
    protected String attributeName;
    protected String fromValue;
    protected String toValue;
    protected String targetValues;
    protected String beginTime;
    protected String duration;
    protected String fill;
    protected String repeatCount;
    
    
    
    public SVGAnimate(String attributeName, String targetValues, String beginTime, String duration, String repeatCount, String fill)
    {
        this.attributeName = attributeName;
        
        this.fromValue = "";
        this.toValue = "";
        this.targetValues = targetValues;
        
        this.beginTime = beginTime;
        this.duration = duration;
        this.fill = fill;
        this.repeatCount = repeatCount;
        
        populateXML();
    }
    
    
    public SVGAnimate(String attributeName, String fromValue, String toValue, String beginTime, String duration, String repeatCount, String fill)
    {
        this.attributeName = attributeName;
        
        this.fromValue = fromValue;
        this.toValue = toValue;
        this.targetValues = "";
        
        this.beginTime = beginTime;
        this.duration = duration;
        this.fill = fill;
        this.repeatCount = repeatCount;
        
        populateXML();
    }
    
    
    /**
     * Populate XMLNode fields for XML generation
     */
    protected void populateXML()
    {
        this.setNodeName("animate");
        
        // add attributes
        this.setAttribute("attributeName", attributeName);
        
        // what we put in for target values depends on whether we have a single value or 
        // a semicolon-separated list of values
        if (toValue != "")
            this.setAttribute("to", toValue);
        if (fromValue != "")
            this.setAttribute("from", fromValue);
        if (targetValues != "")
            this.setAttribute("values", targetValues);
        
        if (beginTime != "")
            this.setAttribute("begin", beginTime);
        
        if (duration != "")
            this.setAttribute("dur", duration);
        
        if (fill != "")
            this.setAttribute("fill", fill);
        
        if (repeatCount != "")
            this.setAttribute("repeatCount", repeatCount);
                
    }
}
